Последнее ядро ​​не работает

Однажды, когда я использовал Ubuntu, все зависло. Я больше не мог загружаться vmlinuz-3.8.0-31-generic. Когда я пытался, это не проходило через фазу загрузки.

К счастью, я все еще могу загрузить vmlinuz-3.8.0-30-generic и нормально работать.

Можно ли как-нибудь восстановить vmlinuz-3.8.0-31-generic для работы снова? Любые идеи о том, что вызвало проблему или как исправить ее в будущем?

2
задан 16.04.2020, 13:14

1 ответ

Вы должны переконфигурировать пакеты / драйверы, установленные для новейшего ядра.

Это ничего не даст, кроме как установить / настроить пакеты, которые предназначались для вашего самого старого ядра. [ 1111]

Вот возможное решение

Выполните следующие шаги точно:

  1. Во время загрузки выберите Recovery Mode из последних kernel и запустите вашу систему в режиме восстановления

  2. Как только ваша система запустится в режиме восстановления, выберите опцию grub , указанную в меню. Он предложит вам смонтировать вашу систему в режиме чтения / записи. Выберите да . После обновления grub он выйдет и вернется в меню.

  3. На этот раз выберите root и выполните следующие команды для повторной настройки ваших пакетов:

    apt-get autoclean && apt-get autoremove
    dpkg --configure -a
    dpkg-reconfigure $(dpkg -l | grep xserver | awk '{print $2}' | tr '\n' ' ')
    dpkg-reconfigure -a
    

    dpkg-reconfigure -a займет некоторое время, в зависимости от установленных пакетов в вашей системе. поэтому, пожалуйста, дождитесь его завершения. Если он не дает никаких сообщений, значит, он выполняется успешно. Если оно дает какое-либо сообщение, просто запишите его и оставьте в комментарии

    dpkg-reconfigure lightdm
    

    нажмите Tab , чтобы выделить Ok, а затем Enter для выхода.

    update-initramfs -u
    reboot
    

Как только ваша система перезапустится, снова выберите свое последнее ядро ​​ в обычном режиме и посмотрите, что произойдет .. На этот раз экран заблокирован не должен.

Ответьте, если что-то пойдет не так, или вы получите сообщение об ошибке в какой-либо конкретной команде. Упомяните команду с сообщением об ошибке.

0
ответ дан 16.04.2020, 13:14
  • 1
    Я просто обновил к 13,10, и последнее ядро, 3.11 не работает. Это берет меня на экран входа в систему, но doesn' t запускаются X (по-видимому; это говорит что-то как заблокированный Xorg). Я могу загрузиться 3.8, и GUI действительно загружается. Я следовал Вашим инструкциям после начальной загрузки 3.11, но dkpg-reconfigure lightdm didn' t дают мне что-либо, где я должен был бы снабдить вкладками или совершить нападки, Входят; это просто ничего не сделало. Даже после все это, 3.11 все еще won' t загружают GUI. – M.A. 16.04.2020, 13:15
  • 2
    Какие команды я должен выполнить, чтобы сделать какую-либо из тех вещей? – Thomas Fritsch 16.04.2020, 13:15
  • 3
    @ExplosionPills: Вы используете NVidea графический драйвер? Всегда рекомендуется что Вы сначала un-install графический драйвер прежде, чем обновить Ядро. Хотя Вы установили последнее ядро, я рекомендую, чтобы Вы к первому полностью удалили свой графический драйвер и затем установили в снова. Также после установки реконфигурировали все Ваши установленные драйверы. Я предлагаю, чтобы Вы запустили новое сообщение. Так как это сообщение связано с некоторым другим вопросом. И don' t забывают упоминать Ваши конфигурации системы!! – D.T 16.04.2020, 13:16
  • 4
    I' m настолько довольный помочь Вам.:) – jrk 16.04.2020, 13:16
  • 5
    Хорошо, когда я загрузил ядро от личинки, это работало. Ваш ответ привел меня делать это, таким образом, там Вы идете: P – M.A. 16.04.2020, 13:16

Теги

Похожие вопросы